#include <iostream>
#include <cmath>
#define cosA 0.99999881111111
#define sinA 0.00139999218753
#define eps 0.001
using namespace std;
struct point
{
       int x,y;
};
point b[128];
point w[128];
int W,B;
int CP(point p0,point p1,point p2)
{
    int dx1=p1.x-p0.x;
    int dx2=p2.x-p0.x;
    int dy1=p1.y-p0.y;
    int dy2=p2.y-p0.y;
    return dx1*dy2-dx2*dy1;
}

void processBW(int black,int white)
{
     pair< pair<int,int>, pair<int,int> > s;
     s.first.first=s.first.second=s.second.first=s.second.second=0;
     
     for(int i=1;i<=B;i++)
     {
             if(i==black) continue;
             
             if(CP(b[black],w[white],b[i])>0)
                                             s.first.first++;
             else
                                             s.second.first++;
     }
     
     for(int i=1;i<=W;i++)
     {
             if(i==white) continue;
             
             if(CP(b[black],w[white],w[i])>0)
                                             s.first.second++;
             else
                                             s.second.second++;
     }
     if(s.first.first==s.second.first-1 && s.first.second-1==s.second.second)
     {
          double mx=double(b[black].x+w[white].x)/2.;
          double my=double(b[black].y+w[white].y)/2.;
          double koef=double(w[white].y-my)/double(w[white].x-mx);
          double nx=1.0;
          double ny=koef+eps;
          while(fabs(ny)>1.0) {nx/=10.;ny/=10.;}
   //       cout<<b[black].x<<" "<<w[white].x<<endl;
          printf("%.6f %.6f %.6f %.6f\n",mx,my,nx,ny);          
     exit(0);                                   
     }
     
     if(s.first.first-1==s.second.first && s.first.second==s.second.second-1)
     {
          double mx=double(b[black].x+w[white].x)/2.;
          double my=double(b[black].y+w[white].y)/2.;
          double koef=double(w[white].y-my)/double(w[white].x-mx);
          double nx=1.0;
          double ny=koef-eps;
          while(fabs(ny)>1.0) {nx/=10.;ny/=10.;}
  //        cout<<b[black].x<<" "<<w[white].x<<endl;
          printf("%.6f %.6f %.6f %.6f\n",mx,my,nx,ny);
     exit(0);                                   
     }
     
     
}
void processBorW(point p1,point p2)
{
     pair< pair<int,int>, pair<int,int> > s;
     s.first.first=s.first.second=s.second.first=s.second.second=0;
     
     for(int i=1;i<=B;i++)
     {
             if(CP(p1,p2,b[i])==0) continue;
             
             if(CP(p1,p2,b[i])>0)
                                             s.first.first++;
             else
                                             s.second.first++;
     }
     
     for(int i=1;i<=W;i++)
     {
             if(CP(p1,p2,w[i])==0) continue;
             
             if(CP(p1,p2,w[i])>0)
                                             s.first.second++;
             else
                                             s.second.second++;
     }
     if(s.first.first==s.second.first && s.first.second==s.second.second)
     {
          double mx=double(p1.x+p2.x)/2.;
          double my=double(p1.y+p2.y)/2.;
          double koef=double(p2.y-my)/double(p2.x-mx);
          koef-=eps;
          double nx=1.0;
          double ny=koef;
          while(fabs(ny)>1.0) {nx/=10.;ny/=10.;}
  //        cout<<p1.x<<" "<<p2.x<<endl;
          printf("%.6f %.6f %.6f %.6f\n",mx,my,nx,ny);          
     exit(0);                                   
     }
    
     
}

int main()
{
    cin>>W;
    for(int i=1;i<=W;i++)
            cin>>w[i].x>>w[i].y;
            
    cin>>B;
    for(int i=1;i<=B;i++)
            cin>>b[i].x>>b[i].y;
 
    for(int i=1;i<=B;i++)
         for(int j=1;j<=B;j++)
            if(i!=j) processBorW(b[i],b[j]);
    for(int i=1;i<=W;i++)
         for(int j=1;j<=W;j++)
            if(i!=j) processBorW(w[i],w[j]);
            
            
            for(int i=1;i<=B;i++)
                    for(int j=1;j<=W;j++)
                            processBW(i,j);
                            
    cout<<"0 0 0 0"<<endl;           
}
